> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-external-snippet-helper-copy.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# /v0/scan-proxy/transfer-command-counter/{party}



## OpenAPI

````yaml /openapi/splice/validator/scan-proxy.yaml get /v0/scan-proxy/transfer-command-counter/{party}
openapi: 3.0.0
info:
  title: Validator API
  version: 0.0.1
servers:
  - url: https://example.com/api/validator
security: []
tags:
  - name: validator
paths:
  /v0/scan-proxy/transfer-command-counter/{party}:
    get:
      tags:
        - scan-proxy
      summary: /v0/scan-proxy/transfer-command-counter/{party}
      operationId: lookupTransferCommandCounterByParty
      parameters:
        - name: party
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LookupTransferCommandCounterByPartyResponse
        '404':
          $ref: '#/components/responses/404'
          description: >-
            No TransferCommandCounter exists for this party. This means the
            nonce that should be used is 0.
components:
  schemas:
    LookupTransferCommandCounterByPartyResponse:
      description: >-
        A Daml contract of template
        `Splice.ExternalPartyAmuletRules:TransferCommandCounter`.
      type: object
      required:
        - transfer_command_counter
      properties:
        transfer_command_counter:
          $ref: '#/components/schemas/ContractWithState'
    ContractWithState:
      type: object
      properties:
        contract:
          $ref: '#/components/schemas/Contract'
        domain_id:
          type: string
      required:
        - contract
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
    Contract:
      type: object
      properties:
        template_id:
          type: string
        contract_id:
          type: string
        payload:
          type: object
        created_event_blob:
          type: string
        created_at:
          type: string
      required:
        - template_id
        - contract_id
        - payload
        - created_event_blob
        - created_at
  responses:
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````